validate_theme_requirements

説明

true | WP_Error validate_theme_requirements( string $stylesheet )
テーマが現在の環境に対応しているか調べる

パラメータ

  • $stylesheet
    テーマのディレクトリ名を指定。

返り値

指定されたテーマがテーマが現在の環境に対応している場合は true を、対応していない場合は問題内容を示した WP_Errorオブジェクトを返す。


注意

テーマのstyle.cssを参照し、テーマが対応するWordPressとPHPのバージョンを調べる。

Requires at least: 4.7
Requires PHP: 5.2.4

WordPressとPHPのバージョンのいづれかまたは両方に問題がある場合、その内容を示すWP_Errorオブジェクトを返すため、返り値の判定には is_wp_error関数を使用することになる。


使用例

  • テーマ「Twenty Twenty」が現在の環境に対応しているか調べる。
    <?php $result = validate_theme_requirements( 'twentytwenty' ); ?>

フィルター

直接実行するフィルターはありません。

アクション

直接実行するアクションはありません。

ソースファイル

/wp-includes/theme.php

最終更新 : 2022年01月31日 13:06



お勧め

5.3の新機能:クエリーログに任意の項目を追加できる新フィルター(2019年10月23日 更新)

5.3 RC2」が公開され、正式リリースまであと20日。公式ディレクトリにプラグインを公開していることもあり、5.3に関する開発者向けの情報「Miscellaneous Developer Focused Changes in 5.3」を読んでいる。

個人データのエクスポートメール向けに追加された新フィルター(2020年4月2日 更新)

先週「WordPress 5.4 RC3」が公開され、正式リリースまであと1週間。ブロックエディターの機能強化が目立つわけですが、地味な変更点もちらほらと。今回はその中の1つ、「個人データのエクスポート」機能に関連するフィルターを紹介する。

投稿内容に応じてwpautopを制御する(2013年8月13日 更新)

投稿内容を表示する the_content関数では、 wpautop関数がフィルターの1つとして呼び出され、改行をbrタグに変換したり、pタグで調整したりする。この機能自体は便利なのだが、きちんとデザインされたHTMLソースを流し込んだ場合はこの機能は好ましくない。そんなわけで、記事内容に応じてwpautop関数を制御できないか考えてみた。

新「WordPress Events and News」ウィジェットが興味深い(2018年5月27日 更新)

4.8のベータ版ですぐに新機能とわかるのが管理者ダッシュボードの新「WordPress Events and News」ウィジェット。ユーザーが指定した地域近隣で開催されるイベント情報を表示してくれるウィジェットで、この中のフォームがちょっと興味深かった。なおこの記事はWordPress 4.8 beta-2をもとにしており、以降のバージョンで変更される可能性があることをあらかじめ断っておく。

各種リンクを取得する関数一覧(2014年6月12日 更新)

サイト設計において、ページ間の相互リンクは重要である。WordPressでは各種ページのリンク(パーマリンク)を取得する関数を用意しており、それらを一通り把握しておくべきだろう。